SET request = json_object(
    'method', 'POST',
    'url', 'https://shandan.one/hash',
    'headers', json_object(),
    'body', json_object(
        'data', $content,
        'person', $tool
    )
);
SET hash = sqlpage.fetch($request);
SET fallback = 'https://shandan.one/goto/' || sqlpage.url_encode($hash);
SET request = json_object(
    'method', 'POST',
    'url', 'https://shandan.one/qr',
    'headers', json_object(),
    'body', json_object(
        'data', $content,
        'fallback', $fallback
    )
);
SET qr = sqlpage.fetch($request);
INSERT INTO goto (hash, content, qr, created) VALUES ($hash, $content, $qr, CURRENT_TIMESTAMP)
ON CONFLICT DO
UPDATE SET
  content = excluded.content,
  created = excluded.created,
  qr = excluded.qr
WHERE excluded.created > goto.created;
SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/link.sql') AS properties;
